com.aliyun.player.nativeclass

## Class MediaInfo

- java.lang.Object
- - com.aliyun.player.nativeclass.MediaInfo

-     public class MediaInfo
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MediaInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCoverUrl()` Query the album cover of the media.
    `int` | `getDuration()` Query the duration of the media.
    `java.lang.String` | `getMediaType()` Query the type of the media: video or audio.
    `java.lang.String` | `getStatus()` Query the status of the media.
    `java.util.List<Thumbnail>` | `getThumbnailList()` Query the URL of the thumbnail image.
    `java.lang.String` | `getTitle()` Query the title information.
    `long` | `getTotalBitrate()` Retrievable bit rate (VOD and multi-bit rate values are 0; Should use TrackInfo's videoBitrate value.
    `java.util.List<TrackInfo>` | `getTrackInfos()` Query all stream information of the media.
    `java.lang.String` | `getTransCodeMode()` Query the transcoding mode.
    `java.lang.String` | `getVideoId()` Query the ID of the media.
    `void` | `setDuration(int duration)` Set the duration of the media.
    `void` | `setTrackInfos(TrackInfo[] trackInfos)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MediaInfo

          public MediaInfo()

  - ### Method Detail

    - #### setTrackInfos

          public void setTrackInfos(TrackInfo[] trackInfos)

    - #### getTitle

          public java.lang.String getTitle()

      Query the title information. If a custom title is assigned, then the custom title is returned.
      Returns:
        The title.

    - #### setDuration

          public void setDuration(int duration)

      Set the duration of the media.
      Parameters:
        `duration` - The media duration in milliseconds.

    - #### getDuration

          public int getDuration()

      Query the duration of the media.
      Returns:
        The media duration in milliseconds.

    - #### getStatus

          public java.lang.String getStatus()

      Query the status of the media.
      Returns:
        The status of the media.

    - #### getVideoId

          public java.lang.String getVideoId()

      Query the ID of the media.
      Returns:
        The ID of the media.

    - #### getCoverUrl

          public java.lang.String getCoverUrl()

      Query the album cover of the media. If a custom album cover is set, then the custom album cover is returned.
      Returns:
        The album cover of the media.

    - #### getTrackInfos

          public java.util.List<TrackInfo> getTrackInfos()

      Query all stream information of the media.
      Returns:
        The stream information. See `TrackInfo`.

    - #### getMediaType

          public java.lang.String getMediaType()

      Query the type of the media: video or audio.
      Returns:
        The type of the media.

    - #### getTransCodeMode

          public java.lang.String getTransCodeMode()

      Query the transcoding mode. FastTranscode: transcode the media after it is uploaded. The media can only be played after it is transcoded. NoTranscode: do not transcode the media after it is uploaded. The media can be played immediately after it is uploaded. Default: FastTranscode.
      Returns:
        The transcoding mode.

    - #### getThumbnailList

          public java.util.List<Thumbnail> getThumbnailList()

      Query the URL of the thumbnail image.
      Returns:
        The URL of the thumbnail image.

    - #### getTotalBitrate

          public long getTotalBitrate()

      Retrievable bit rate (VOD and multi-bit rate values are 0; Should use TrackInfo's videoBitrate value. )
      Returns: